## lazarus 2.0.6+dfsg

=== debian/changelog ===
lazarus (2.0.6+dfsg-3) unstable; urgency=medium

  * Limit number of processor within LPK build test to avoid crash.
    (Closes: Bug#943600)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 15 Dec 2019 12:16:47 +0100

lazarus (2.0.6+dfsg-2) unstable; urgency=medium

  * Fixed diversion issue when upgrading from a different upstream release.
    (Closes: Bug#944426)
  * Fixed crash in lazbuild avoiding to deference freed class instance.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 16 Nov 2019 11:03:27 +0100

lazarus (2.0.6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.6+dfsg
  * Removed patches that are already accepted by upstream.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 02 Nov 2019 17:59:18 +0100

lazarus (2.0.2+dfsg-7) unstable; urgency=medium

  * Fixed version upon upgrade to create files diversion for lpk files.
    (Closes: Bug#942768)
  * Fixed logic to remove diversion of lpk files as per policy requirements.
  * Bumped standard version to 4.4.1.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 24 Oct 2019 23:33:59 +0200

lazarus (2.0.2+dfsg-6) unstable; urgency=medium

  * Fixed typo in pre install and post removal script.
    (Closes: Bug#942768, Bug#942784)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 22 Oct 2019 22:31:10 +0200

lazarus (2.0.2+dfsg-5) unstable; urgency=medium

  [ Paul Gevers ]
  * Revert unintended changes from commit 8354ab1 and fix control.in to prevent it
  * Missed control.in in previous commit afe3237

  [ Abou Al Montacir ]
  * Removed auto generated preinst and postrm from VCS.
  * Fixed issue related to hard linking lpk files when building arch all.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Oct 2019 22:24:03 +0200

lazarus (2.0.2+dfsg-4) unstable; urgency=medium

  * Look for lpk files in sources install directory instead of binaries one.
  * Fix postinst and postrm file to hadle upgrade correctly.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Oct 2019 15:09:24 +0200

lazarus (2.0.2+dfsg-3) unstable; urgency=medium

  * Use scalable icon. Put it in right folder conforming to Debian policy.
  * Updated multiarch tags as suggested by multiarch hinter tool.
  * Include compilable version of files in lazrus-src.
    This enables user to compile Lazarus when adding lpk packages.
    It requires file diversion to avoid breaking lcl-units packaged lpk files.
    (Closes: Bug#823706, Bug#898310)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Oct 2019 01:04:45 +0200
