=== debian/control ===
Source: lazarus
Section: devel
Priority: optional
Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
Uploaders:
           Abou Al Montacir <abou.almontacir@sfr.fr>,
           Paul Gevers <elbrus@debian.org>
Standards-Version: 4.4.1
Build-Depends: debhelper (>= 11~),
               dh-exec (>=0.22),
               fp-utils (>= 3.0.0+dfsg-5),
               fpc (>= 3.0.2~),
               fpc-source (>= 3.0.2~),
               imagemagick,
               libgtk2.0-dev,
               libqt5pas-dev (>= 2.6~beta-6~),
               po-debconf,
               rdfind,
               symlinks
Vcs-Git: https://salsa.debian.org/pascal-team/lazarus.git
Vcs-Browser: https://salsa.debian.org/pascal-team/lazarus
Homepage: https://www.lazarus-ide.org/
Rules-Requires-Root: no

Package: lazarus-2.0
Architecture: all
Depends: lazarus-ide (>= ${source:Version}),
         lazarus-src-2.0 (>= ${source:Version}),
         lcl-2.0 (>= ${source:Version}),
         ${misc:Depends}
Recommends: fpc,
            fpc-source,
            lazarus-doc-2.0
Suggests: fp-docs,
          fp-utils
Provides: lazarus
Description: IDE for Free Pascal - suite
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This metapackage pulls in all the packages needed to have a typical
 Lazarus installation.

Package: lazarus-src-2.0
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: lazarus-ide-2.0
Provides: lazarus-src
Description: IDE for Free Pascal - LCL source code
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the latest version of the source code necessary for
 the IDE code tool to work properly (retrieving declarations and navigating
 in code).

Package: lazarus-ide-2.0
Architecture: any
Depends: fp-compiler,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            gdb,
Suggests: fp-utils
Provides: lazarus-ide
Built-Using: fpc (= ${Build-Using})
Description: IDE for Free Pascal - common IDE files
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the common files required to run Lazarus IDE.

Package: lazarus-ide-gtk2-2.0
Architecture: any
Depends: lazarus-ide-2.0,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gdb,
            lcl-2.0
Suggests: fp-utils
Provides: lazarus-ide,
          lazarus-ide-gtk-2.0,
          lazarus-ide-gtk2
Built-Using: fpc (= ${Build-Using})
Description: IDE for Free Pascal - GTK+ version
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the GTK+ version of the Lazarus IDE.

Package: lazarus-ide-qt5-2.0
Architecture: amd64 arm64 armel armhf i386 m68k powerpc
Depends: lazarus-ide-2.0,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gdb,
            lcl-2.0
Suggests: fp-utils
Provides: lazarus-ide,
          lazarus-ide-qt-2.0,
          lazarus-ide-qt5
Built-Using: fpc (= ${Build-Using})
Description: IDE for Free Pascal - Qt version
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the Qt version of the Lazarus IDE.

Package: lcl-2.0
Architecture: any
Multi-Arch: same
Depends: lcl-units-2.0,
         lcl-utils-2.0,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            lazarus-src-2.0,
Suggests: gdb
Provides: lcl
Built-Using: fpc (= ${Build-Using})
Description: Lazarus Components Library - LCL suite
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This metapackage installs the full LCL and components.

Package: lcl-utils-2.0
Architecture: any
Depends: fp-compiler,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lazarus-ide-2.0,
            lcl-2.0
Provides: lcl-utils
Built-Using: fpc (= ${Build-Using})
Description: Lazarus Components Library - command line build tools
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains command line tools to ease building LCL based
 applications.

Package: lcl-units-2.0
Architecture: any
Depends: lcl-gtk2-2.0 (= ${binary:Version}) | lcl-qt5-2.0 (= ${binary:Version}),
         ${fpc-abi:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
Suggests: gdb
Provides: lcl-units
Built-Using: fpc (= ${Build-Using})
Description: Lazarus Components Library - backend independent components
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains common components of the LCL.

Package: lcl-nogui-2.0
Architecture: any
Depends: fp-units-base,
         fp-units-fcl,
         fp-units-rtl,
         ${fpc-abi:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fpc,
            lazarus-ide-2.0
Suggests: gdb
Provides: lcl-nogui
Breaks: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
Replaces: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
Built-Using: fpc (= ${Build-Using})
Description: Lazarus Components Library - no GUI backend
 Lazarus is an IDE to create (graphical and console) applications with Free
 Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
 Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi-like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
 Component Library (LCL).
 .
 This package contains the part of the LCL for developing non-graphical
 applications and command line tools.

Package: lcl-gtk2-2.0
Architecture: any
Depends: fp-units-base,
         fp-units-fcl,
         fp-units-gtk2,
         fp-units-rtl,
         lcl-nogui-2.0,
         ${fpc-abi:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gdb
Provides: lcl-gtk,
          lcl-gtk2
Breaks: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
Replaces: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
Built-Using: fpc (= ${Build-Using})
