## lazarus 2.0.8+dfsg

=== debian/changelog ===
lazarus (2.0.8+dfsg-1) unstable; urgency=medium

  [ Paul Gevers ]
  * [tests] mark flaky until we really find the root cause of #943600

  [ Abou Al Montacir ]
  * New upstream version 2.0.8+dfsg

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Apr 2020 17:51:06 +0200
