## lazarus 2.0.10+dfsg

=== debian/changelog ===
lazarus (2.0.10+dfsg-4) unstable; urgency=medium

  * Team upload
  * Add Breaks and Replaces for moved file codetools/fpc.errore.msg
    (Closes: #970889)

 -- Graham Inggs <ginggs@debian.org>  Mon, 28 Sep 2020 14:07:21 +0000

lazarus (2.0.10+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Frédéric Bonnard ]
  * Disable pie build on ppc64el (Closes: #970014)
  * Use dwarf debug info type (-gw) for components/chmhelp/lhelp

  [  Pino Toscano ]
  * Drop menu file and its pixmap, as lazarus already
    provides a .desktop file
  * Remove imagemagick build dependency, no longer needed

  [ Graham Inggs ]
  * Ship codetools/fpc.errore.msg in lcl-units-2.0 instead
    of lazarus-src-2.0
  * Build lcl-qt5 and lazarus-ide-qt5 on ppc64 and ppc64el
  * Disable pie build on ppc64 as well

 -- Graham Inggs <ginggs@debian.org>  Thu, 24 Sep 2020 12:05:52 +0000

lazarus (2.0.10+dfsg-2) unstable; urgency=medium

  * Fix compilation of PascalScript for armel and m68k.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 07 Aug 2020 17:40:48 +0200

lazarus (2.0.10+dfsg-1) experimental; urgency=medium

  [ Paul Gevers ]
  * New upstream version 2.0.10+dfsg
  * Refresh d/s/timestamps for new upstream release

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 03 Aug 2020 12:20:02 +0200

lazarus (2.0.8+dfsg-2~exp) experimental; urgency=medium

  * Upload to experimental to try out building with the fresh fpc

 -- Paul Gevers <elbrus@debian.org>  Thu, 25 Jun 2020 09:05:12 +0200
