=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
 Standards-Version: 4.4.1
 Build-Depends: debhelper (>= 11~),
                dh-exec (>=0.22),
-               fp-utils (>= 3.0.0+dfsg-5),
-               fpc (>= 3.0.2~),
-               fpc-source (>= 3.0.2~),
-               imagemagick,
+               fp-utils (>= 3.2.0~),
+               fpc (>= 3.2.0~),
+               fpc-source (>= 3.2.0~),
                libgtk2.0-dev,
                libqt5pas-dev (>= 2.6~beta-6~),
                po-debconf,
@@ -142,7 +141,7 @@
  This package contains the GTK+ version of the Lazarus IDE.
 
 Package: lazarus-ide-qt5-2.0
-Architecture: amd64 arm64 armel armhf i386 m68k powerpc
+Architecture: amd64 arm64 armel armhf i386 m68k powerpc ppc64 ppc64el
 Depends: lazarus-ide-2.0,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -238,6 +237,8 @@
          ${fpc-abi:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: lazarus-src-2.0 (<< 2.0.10+dfsg-3)
+Replaces: lazarus-src-2.0 (<< 2.0.10+dfsg-3)
 Recommends: fpc,
 Suggests: gdb
 Provides: lcl-units
@@ -311,4 +312,3 @@
           lcl-gtk2
 Breaks: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
 Replaces: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
-Built-Using: fpc (= ${Build-Using})
