=== debian/rules ===
--- 
+++ 
@@ -69,8 +69,8 @@
 
 LDFLAGS:=$(strip $(shell echo '${LDFLAGS}' | \
 	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11')) --as-needed
-# Build with -pie everywhere except armhf, mips, mipsel
-ifeq (,$(filter $(DEB_HOST_ARCH),armhf mips mipsel))
+# Build with -pie everywhere except armhf, mips, mipsel, ppc64 and ppc64el
+ifeq (,$(filter $(DEB_HOST_ARCH),armhf mips mipsel ppc64 ppc64el))
 LDFLAGS:=$(LDFLAGS) -pie
 endif
 
@@ -209,15 +209,13 @@
 		${MKDIR} `dirname "${LIB_DIR}/$${package}"` ; \
 		sed -e 's@\(\W*\)<CompilerOptions>.*@\1<AutoUpdate Value="Manually"/>\n&@' "$${package}" > "${LIB_DIR}/$${package}" ; \
 	done
+	${CP} -t ${LIB_DIR}/components/codetools \
+		$(CURDIR)/components/codetools/fpc.errore.msg
 	# Install packages global links
 	${CP} -t ${LIB_DIR}/packager $(CURDIR)/packager/globallinks
-	# copy icons and menu entries for the GNOME menu
-	${MKDIR} $(INSTALL_DIR_ARCH)/usr/share/pixmaps
+	# copy icons and menu entry for the XDG menu
 	${MKDIR} $(INSTALL_DIR_ARCH)/usr/share/applications
 	${MKDIR} $(INSTALL_DIR_ARCH)/usr/share/icons/hicolor/scalable/apps
-	# the following source file is not completely correct, it produces a
-	# warning in imagemagick
-	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR_ARCH)/usr/share/pixmaps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.xpm
 	# Install icon and desktop files
 	${CP} $(CURDIR)/images/icons/lazarus.svg $(INSTALL_DIR_ARCH)/usr/share/icons/hicolor/scalable/apps/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.svg
 	for sz in 16x16 32x32 48x48 64x64 128x128 256x256 ; do \
@@ -227,3 +225,5 @@
 	sed \
 		-e 's/Lazarus.*/& (${DEB_UPSTREAM_MAIN_VERSION})/' \
 		-e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' \
+		-e 's/Icon=lazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' \
+		$(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR_ARCH)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
