=== debian/tests/control ===
Tests: build-lpk-lpi
Depends: @, @builddeps@
Restrictions: flaky
