## lazarus 2.0.12+dfsg

=== debian/changelog ===
lazarus (2.0.12+dfsg-1) experimental; urgency=low

  [ Adrian Bunk ]
  * Stop disabling qt5 on mips{,64}el

  [ Abou Al Montacir ]
  * New upstream version 2.0.12+dfsg
  * Updated patches with regards to issues that were fixed in new release.
  * Updated reference time.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 13 Jun 2021 15:46:08 +0200
