=== debian/rules ===
--- 
+++ 
@@ -92,10 +92,7 @@
 clean-patched: make-files
 	@echo "--- Cleaning"
 	dh_testdir
-# Build qt5 platform everywhere except mips and mipsel
-ifeq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
 	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=qt5
-endif
 	[ ! -f Makefile ] || $(MAKE) distclean ${BUILDOPTS} LCL_PLATFORM=gtk2
 	$(MAKE) -C docs/html clean
 	find -regex '.*\.\(a\|or?\|so\.*\|ppu\|rsj\)' -delete
@@ -106,10 +103,6 @@
 
 debian-files: debian-files-stamp
 debian-files-stamp:$(patsubst %.in,%,$(wildcard debian/*.in))
-	@echo "--- Fixing execution rights of *.install files"
-	# Because we use dh-exec to not build/install the qt flavor on mips/mipsel,
-	# we need the *-qt?-*.install files to be executable
-	chmod a+x debian/*-qt?-*.install
 	touch debian-files-stamp
 
 make-files: make-files-stamp
@@ -155,12 +148,9 @@
 build-arch-stamp: ${DEB_HOST_FPC_OPT}
 	@echo "--- Building"
 	dh_testdir
-# Build qt5 platform everywhere except mips and mipsel
-ifeq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
 	# QT5
 	${MAKE} bigide ${BUILDOPTS} LCL_PLATFORM=qt5
 	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-qt5
-endif
 	# GTK2
 	${MAKE} bigide ${BUILDOPTS} LCL_PLATFORM=gtk2
 	${MV} $(CURDIR)/lazarus $(CURDIR)/lazarus-gtk2
@@ -177,21 +167,12 @@
 	${MKDIR} ${LIB_DIR}/tools
 	${MKDIR} ${LIB_DIR}/components/chmhelp/lhelp
 	# Install the IDE & its accessories
-# Do not install lazarus-qt5 on mips and mipsel
-ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
-	${CP} -t ${LIB_DIR} \
-		$(CURDIR)/lazarus-gtk2 \
-		$(CURDIR)/lazbuild \
-		$(CURDIR)/startlazarus \
-		$(CURDIR)/languages
-else
 	${CP} -t ${LIB_DIR} \
 		$(CURDIR)/lazarus-gtk2 \
 		$(CURDIR)/lazarus-qt5 \
 		$(CURDIR)/lazbuild \
 		$(CURDIR)/startlazarus \
 		$(CURDIR)/languages
-endif
 	${CP} -t ${LIB_DIR}/tools \
 		$(CURDIR)/tools/lazres \
 		$(CURDIR)/tools/lrstolfm \
@@ -227,3 +208,11 @@
 		-e 's/Exec=startlazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' \
 		-e 's/Icon=lazarus/&-${DEB_UPSTREAM_MAIN_VERSION}/' \
 		$(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR_ARCH)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
+	# Install configuration files
+	${MKDIR} $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}
+	sed -e "s#__LAZARUSDIR__#/usr/lib/lazarus/${DEB_UPSTREAM_MAIN_VERSION}/#" -e 's#__FPCSRCDIR__#/usr/share/fpcsrc/$$(FPCVER)/#' ${CURDIR}/tools/install/linux/environmentoptions.xml > $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}/environmentoptions.xml
+	fpcsubst -d LazarusVersion=${DEB_UPSTREAM_MAIN_VERSION} -i ${CURDIR}/tools/install/linux/helpoptions.xml -o $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}/helpoptions.xml
+	# Install contributer list
+	${MKDIR} ${DOC_DIR_ARCH}/docs
+	${CP} -t ${DOC_DIR_ARCH}/docs \
+		$(CURDIR)/docs/lazdoc.css \
